using System;

internal sealed class Delegate405 : MulticastDelegate
{
	public extern ulong Invoke(string string_0);

	public static ulong smethod_0(string string_0, Delegate405 delegate405_1)
	{
		return delegate405_1(string_0);
	}

	public extern Delegate405(object object_0, IntPtr intptr_0);

	static Delegate405()
	{
		Class10.smethod_13(typeof(Delegate405).TypeHandle);
	}

	internal static Delegate405 delegate405_0;
}
